// $Id: ErrorCodes.h 1067 2019-05-04 18:35:47Z ge $
/// \file ErrorCodes.h
/// \brief contains predefined error codes
///
/// $Revision: 1067 $
/// \author Gerald Weber <gweberbh@gmail.com>
#ifndef ERRORCODES_H
#define ERRORCODES_H "$Id: ErrorCodes.h 1067 2019-05-04 18:35:47Z ge $"

//Problems with numerical routines start with 100
#define ERROR_REGRESSION   100 //(Debug)Linear GSL regression returned NaN values

//Problems with specific calculations start with 200
#define ERROR_MELTINGINDEX 200 //(removed)Melting index returned zero

//Problems with base pair or NN interpretation start with 300
#define ERROR_VOIDEXACTNEIGHBOURS 300 //Void pSI->Exact_neighbours

//Problems with options start with 400
#define ERROR_WRONG_PG_VALUE 400 //Unrecognized -pg value
#define ERROR_WRONG_PM_VALUE 401 //Unrecognized -pm value

#endif
